#-
Dimension 4;                            *definition of the number of dimensions
I mu, nu;                               *indices mu, nu
V q;                                    *vector q
ntensor g;
autodeclare vector p;   
autodeclare index i;                
symbol m;                             

nwrite statistics;

local Amp2 = - d_(mu,nu)*(g(p1)+m)*g(mu)*(g(p2)-m)*g(nu);  *the main expression.

* ---- Merging tensors. ?a means everything inside the brackets. ----

repeat;                      
id g(?a)*g(?b)=g(?a,?b);
endrepeat;

* Dirac algebra -------------------------

id g(i?) = 0;
id g(i?,i?) = 16;
id g(i1?,i2?,i3?)=0;

id g(i1?,i2?,i3?,i4?) = d_(i1,i2)*g(i3,i4)
-d_(i1,i3)*g(i2,i4)
+d_(i1,i4)*g(i2,i3);

id g(i1?,i2?) = 4*d_(i1,i2);

* ------------------------------------------------------------

id p1.p2 = q.q/2-m^2;                     *setting some equalities to simplify result

print;                                  *printing

.end

