#-                                      
Dimension 4;                            *definition of the number of dimensions
I mu, nu;                               *indices mu, nu
V q;                                    *vector q
autodeclare vector p;                   
symbol m;                             

nwrite statistics;

local Amp2 = - d_(mu,nu)*(g_(1,p1)+m)*
g_(1,mu)*(g_(1,p2)-m)*g_(1,nu);         *the main expression.

trace4,1;                               *trace over Dirac matrix set "1"

contract;                               *contraction over dummy indices. Unnecessary in this case (FORM do it automaticaly)

id p1.p2 = q.q/2-m^2;                     *setting some equalities to simplify result

print;                                  *printing

.end